## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:			rkcommon
Version:		1.14.2
Release:		%autorelease
Summary:		Intel renderKit common C++/CMake infrastructure

License:		Apache-2.0
URL:			https://github.com/Renderkit/rkcommon
Source0:		%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# Upstream only supports x86-64 and ARM64 architectures
ExclusiveArch:	x86_64 aarch64

BuildRequires:	cmake >= 3.1
BuildRequires:	gcc-c++
BuildRequires:	tbb-devel

%description
This project represents a common set of C++ infrastructure and CMake utilities
used by various components of Intel oneAPI rendering toolkit.

%package		devel
Summary:		Development files for %{name}
Requires:		%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
applications that use %{name}.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/rkcommon_test_suite
%{_libdir}/lib%{name}.so.1
%{_libdir}/lib%{name}.so.%{version}

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}-%{version}/

%changelog
## START: Generated by rpmautospec
* Tue Oct 08 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.14.2-1
- Update to 1.14.2

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Mar 18 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.13.0-1
- Update to 1.13.0

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 17 2024 Jonathan Wakely <jwakely@redhat.com> - 1.12.0-2
- Rebuilt for TBB 2021.11

* Tue Oct 10 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.12.0-1
- update to 1.12.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 16 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.11.0-3
- moving to so versioning

* Thu Mar 02 2023 aekoroglu <aekoroglu@linux.intel.com> - 1.11.0-2
- supports x86 and ARM 64bit arches for now

* Thu Mar 02 2023 aekoroglu <aekoroglu@linux.intel.com> - 1.11.0-1
- initial release
## END: Generated by rpmautospec
